summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorP. J. McDermott <pj@pehjota.net>2018-06-21 18:47:06 (EDT)
committer P. J. McDermott <pj@pehjota.net>2018-06-21 18:47:06 (EDT)
commit5065653d21be9cdec7d8a4a89d72cccb0501d301 (patch)
tree3e42fd72ac6a2f3389076fb6e74b7df89136799a
parent3d7b40c47aca35cc42ccc15e0c2f8e1033f5ce50 (diff)
downloadtrisquel-5065653d21be9cdec7d8a4a89d72cccb0501d301.zip
trisquel-5065653d21be9cdec7d8a4a89d72cccb0501d301.tar.gz
trisquel-5065653d21be9cdec7d8a4a89d72cccb0501d301.tar.bz2
.pbuilder/hooks/trisquel/[A-Z][0-9][0-9]trisquel: New pbuilder hooks
Downloaded/created with: for h in D10trisquel G10trisquel; do wget -O ".pbuilder/hooks/trisquel/${h}" "https://devel.trisquel.info/trisquel/trisquel-builder/raw/master/hooks/${h}" done ln -sf G10trisquel .pbuilder/hooks/trisquel/E10trisquel chmod a+x .pbuilder/hooks/trisquel/[A-Z][0-9][0-9]trisquel
-rw-r--r--.gitignore.d/trisquel4
-rwxr-xr-x.pbuilder/hooks/trisquel/D10trisquel12
l---------.pbuilder/hooks/trisquel/E10trisquel1
-rwxr-xr-x.pbuilder/hooks/trisquel/G10trisquel115
4 files changed, 132 insertions, 0 deletions
diff --git a/.gitignore.d/trisquel b/.gitignore.d/trisquel
index 1010d19..e0cc68d 100644
--- a/.gitignore.d/trisquel
+++ b/.gitignore.d/trisquel
@@ -7,6 +7,10 @@
!/.debootstrap/trisquel-archive-keyring.gpg
!/.gitignore.d/
!/.gitignore.d/trisquel
+!/.pbuilder/
+!/.pbuilder/hooks/
+!/.pbuilder/hooks/trisquel/
+!/.pbuilder/hooks/trisquel/*
!/.pbuilderrc.d/
!/.pbuilderrc.d/trisquel
diff --git a/.pbuilder/hooks/trisquel/D10trisquel b/.pbuilder/hooks/trisquel/D10trisquel
new file mode 100755
index 0000000..28e4511
--- /dev/null
+++ b/.pbuilder/hooks/trisquel/D10trisquel
@@ -0,0 +1,12 @@
+#!/bin/bash
+
+# Add branch as repo, to allow chained builds
+echo "deb [trusted=yes] http://jenkins.trisquel.info/jenkins-repos/$BUILDBRANCH ./" >> /etc/apt/sources.list
+
+# Some packages are built using packages from $BUILDDIST-updates
+if [ x"$BUILDPACKAGE" = xtoxcore ] || $([ x"$BUILDPACKAGE" = xfirefox ] && [ x"$BUILDDIST" = xtoutatis ])
+ then
+ echo "deb http://es.archive.trisquel.info/trisquel/ $BUILDDIST-updates main" >> /etc/apt/sources.list
+ fi
+
+apt-get update
diff --git a/.pbuilder/hooks/trisquel/E10trisquel b/.pbuilder/hooks/trisquel/E10trisquel
new file mode 120000
index 0000000..cfd140b
--- /dev/null
+++ b/.pbuilder/hooks/trisquel/E10trisquel
@@ -0,0 +1 @@
+G10trisquel \ No newline at end of file
diff --git a/.pbuilder/hooks/trisquel/G10trisquel b/.pbuilder/hooks/trisquel/G10trisquel
new file mode 100755
index 0000000..c932ea9
--- /dev/null
+++ b/.pbuilder/hooks/trisquel/G10trisquel
@@ -0,0 +1,115 @@
+#!/bin/bash -x
+
+echo "Trisquel build environment setup"
+env
+case "$BUILDDIST" in
+ "belenos")
+ export UBURELEASE=trusty
+ export REVISION=7.0
+ ;;
+ "toutatis")
+ export UBURELEASE=precise
+ REVISION=6.0.1
+ ;;
+ "taranis")
+ export UBURELEASE=lucid
+ REVISION=4.0
+ ;;
+esac
+
+# sources are addedd in the slave load script
+#if ! `grep -q 'archive.ubuntu.com' /etc/apt/sources.list `
+# then
+# echo "deb-src http://archive.ubuntu.com/ubuntu/ trusty main universe multiverse" >> /etc/apt/sources.list
+# fi
+
+cat << EOF > /etc/apt/apt.conf.d/90recommends
+APT::Install-Recommends "0";
+APT::Install-Suggests "0";
+EOF
+
+#Avoid asking for modified config files
+cat << EOF > /etc/apt/apt.conf.d/40localconfig
+Dpkg::Options {
+ "--force-confdef";
+ "--force-confold";
+}
+EOF
+
+#echo "force-unsafe-io" > /etc/dpkg/dpkg.cfg.d/02apt-speedup
+
+
+# pkgbinarymangler
+mkdir -p /etc/pkgbinarymangler/
+cat << EOF > /etc/pkgbinarymangler/striptranslations.conf
+enable: true
+components: main
+invalid_currentlybuilding: ignore
+posuffix: translations
+oem_blacklist: partner
+EOF
+
+cat << EOF > /etc/pkgbinarymangler/sanitychecks.conf
+enable: true
+EOF
+
+cat << EOF > /etc/pkgbinarymangler/maintainermangler.conf
+enable: false
+invalid_currentlybuilding: ignore
+EOF
+
+cat << EOF > /etc/pkgbinarymangler/maintainermangler.overrides
+default: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
+ignore_domains: trisquel.info sognus.com listas.trisquel.info gnu.org fsf.org
+ignore_emails: ruben@trisquel.info
+EOF
+
+cat << EOF > /etc/pkgbinarymangler/striptranslations.blacklist
+iso-codes
+dpkg
+language-pack.*
+debconf-i18n
+apt
+libapt-pkg.*
+libapt-inst.*
+xkb-data-i18n
+ldm
+EOF
+
+cat << EOF > /etc/pkgbinarymangler/striptfiles.conf
+enable: true
+EOF
+# end pkgbinarymangler
+
+source /etc/lsb-release
+cat << EOF >/etc/apt/sources.list
+#Trisquel binary packages
+deb http://archive.trisquel.info/trisquel/ $BUILDDIST main
+deb http://archive.trisquel.info/trisquel/ $BUILDDIST-security main
+
+#Ubuntu source packages
+deb-src http://archive.ubuntu.com/ubuntu $UBURELEASE main universe
+deb-src http://archive.ubuntu.com/ubuntu $UBURELEASE-updates main universe
+deb-src http://archive.ubuntu.com/ubuntu $UBURELEASE-security main universe
+
+EOF
+
+echo devel.trisquel.info > /etc/hostname
+
+apt-key adv --recv-keys --keyserver keyserver.ubuntu.com 40976EAF437D05B5
+apt-key adv --recv-keys --keyserver keyserver.ubuntu.com 3B4FE6ACC0B21F32
+
+echo $BUILDDIST-$BUILDARCH > /etc/debian_chroot
+
+# Fake uname and arch outputs
+if [ $BUILDARCH = "i386" ]; then
+ for BIN in /bin/uname /usr/bin/arch; do
+ [ -f $BIN.orig ] || mv $BIN $BIN.orig
+cat << EOF > $BIN
+#!/bin/bash
+$BIN.orig "\$@" | sed s/x86_64/i686/g
+EOF
+ chmod 755 $BIN
+ done
+fi
+